#include <bits/stdc++.h>
using namespace std;

int main() {
    int a1, a2, a;
    char c1, c2;
    string s;
    cin>>s;
    c1=s[0];
    c2=s[1];
    s="";
    cin>>a1>>a2;
    if(abs(a1-a2)>1) {
        cout<<"nemoguce";
    }
    else {
        if(a1==a2) {
            for(int i=0; i<a1; i++) {
                s+=c1;
                s+=c2;
            }
        }
        if(a1>a2) {
            for(int i=0; i<a1; i++) {
                s+=c1;
                if(i==a1-1) s+=c2;
            }
        }
        if(a1<a2) {
            for(int i=0; i<a2; i++) {
                s+=c2;
                if(i==a2-1) s+=c1;
            }
        }
        cout<<s;
    }
    return 0;
}